<div class="card">
    <!-- <p-card>
        <ng-template pTemplate="caption">
            <div class="grid table-header">
                <div class="col-2">
                    <label for="sdateCreate">จากวันที่ : </label>
                    <input id="sdateCreate" [(ngModel)]="sdateCreate" type="date" pInputText>
                </div>
                <div class="col-2">
                    <label for="edateCreate">ถึงวันที่ : </label>
                    <input id="edateCreate" [(ngModel)]="edateCreate" type="date" pInputText>
                </div>
                <div class="col-6">
                    <button pButton type="button" class="button-success" (click)="onSearchCreate()">ค้นหา</button>
                </div>
                <div class="col-2">
                    <span class="input-icon-left">
                        <i class="pi pi-search"></i>
                        <input pInputText type="text" (input)="dtCreate.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
                    </span>
                </div>
            </div>
        </ng-template>
    </p-card> -->
    <div class="flex align-items-stretch flex-wrap card-container blue-container">
        <div class="flex align-items-center justify-content-center m-2">
            <mat-form-field color="accent" class="example-form-field" appearance="outline">
                <mat-label>วันเริ่มต้น</mat-label>
                <input matInput [matDatepicker]="picker1" [(ngModel)]="sdateCreate" (click)="picker1.open()" (ngModelChange)="onDateSelected()">
                <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                <mat-datepicker #picker1></mat-datepicker>
            </mat-form-field>
        </div>
        <div class="flex align-items-center justify-content-center m-2">
            <mat-form-field color="accent" class="example-form-field" appearance="outline">
                <mat-label>วันสิ้นสุด</mat-label>
                <input matInput [matDatepicker]="picker2" [(ngModel)]="edateCreate" (click)="picker2.open()" (ngModelChange)="onDateSelected()">
                <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                <mat-datepicker #picker2></mat-datepicker>
            </mat-form-field>
        </div>
        <div class="flex align-items-center justify-content-center m-2 mt-0">
            <button pButton type="button" [disabled]="!validateForm" class="button-success" (click)="onSearchCreate()" icon="pi pi-search" label ="ค้นหา"></button>

        </div>
        <div class="flex align-items-center justify-content-center m-2 mt-0 dkMenuActive"  (click)="activeMenu()">   </div>
       

    </div>
    <p-card>
        <p-table #dtCreate [value]="rowsDataCreate" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
        [rowHover]="true" [rows]="100"  [showCurrentPageReport] = "true" [rowsPerPageOptions]="[10,25,50,100]" [loading]="loadingCreate"
        [paginator]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
        [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
        paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}"
        [virtualRowHeight]="6" [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle" 
        frozenColumns="10" selectionMode="single" dblClickSelect="true" (onRowSelect)="onRowSelect($event)"
                >
                <ng-template pTemplate="caption">
                    <div class="table-header">
                        <div class="grid">
                            <div class="col">
                                <div class="flex justify-content-start">
                                    <span class="text-center justify-content-center pt-2">รายการที่ส่งกลับ</span>
                                </div>
                            </div>
                            <div class="col">
                                <div class="flex justify-content-end">
                                    <span class="p-input-icon-right">
                                        <i class="pi pi-search"></i>
                                        <input pInputText class="p-inputtext-sm" type="text" (input)="dtCreate.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
                                    </span>
                                </div>
                            </div>
                          
                        </div>
                        
                    </div>
                </ng-template>
                <ng-template pTemplate="headergrouped">
                <tr>
                    <th class="text-center" #pFrozenColumn>วันส่ง</th>
                    <th class="text-center" #pFrozenColumn>เวลา</th>
                    <th class="text-center" pSortableColumn="location_refer_name" #pFrozenColumn>AN<p-sortIcon field="location_refer_name"></p-sortIcon></th>
                    <th class="text-center" #pFrozenColumn>HN</th>
                    <th class="text-center" pSortableColumn="hn" #pFrozenColumn>ชื่อ<p-sortIcon field="hn"></p-sortIcon></th>
                    <th class="text-center" pSortableColumn="fullname" #pFrozenColumn>คลินิก<p-sortIcon field="fullname"></p-sortIcon></th>
                    <th class="text-center" pSortableColumn="refer_no" #pFrozenColumn>สถานบริการ<p-sortIcon field="refer_no"></p-sortIcon></th>
                    <th class="text-center" pSortableColumn="strefer_dateatus" #pFrozenColumn>สถานะส่งต่อ<p-sortIcon field="refer_date"></p-sortIcon></th>

                </tr>
            </ng-template>
            <ng-template pTemplate="body" let-rowsData>
                <tr class="p-selectable-row" [pSelectableRow]="rowsData">
                    <td #pFrozenColumn>
                        <span class="p-column-title">วันส่ง</span>
                        {{rowsData.ReferDate}}
                    </td>
                    <td #pFrozenColumn>
                        <span class="p-column-title">เวลา</span>
                        {{rowsData.ReferTime}}
                    </td>
                    <td #pFrozenColumn>
                        <span class="p-column-title">AN</span>
                        {{rowsData.an}}
                    </td>
                    <td #pFrozenColumn>
                        <span class="p-column-title">HN</span>
                        {{rowsData.hn}}
                    </td>
                    <td #pFrozenColumn>
                        <span class="p-column-title">ชื่อ</span>
                        {{rowsData.first_name}} {{rowsData.last_name}}
                    </td>
                    <td #pFrozenColumn>
                        <span class="p-column-title">คลินิก</span>
                        {{rowsData.location_name}}
                    </td>
                    <td #pFrozenColumn>
                        <span class="p-column-title">สถานบริการ</span>
                        {{rowsData.to_hcode_name}}
                    </td>
                    <td #pFrozenColumn>
                        <span class="p-column-title">สถานะส่งต่อ</span>
                        {{rowsData.refer_no_ket}}
                    </td>

                </tr>
            </ng-template>
            <ng-template pTemplate="emptymessage">
                <tr>
                    <td colspan="16">ไม่พบรายการ..</td>
                </tr>
            </ng-template>
        </p-table>
        <br /><br /><br />
    </p-card>

</div>